package arabiannight.tistory.com.popupwindow;

import android.app.Activity;
import android.os.Bundle;
import android.view.View;
import android.view.WindowManager.LayoutParams;
import android.widget.Button;
import android.widget.PopupWindow;
import android.widget.Toast;

public class MainActivity extends Activity {

	private PopupWindow mPopupWindow;
	private Button btn_Popup;

	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_main);

		btn_Popup = (Button) findViewById(R.id.btn_click);
		
	}

	public void onClick(View v) {

		switch (v.getId()) {
		case R.id.btn_click:

			View popupView = getLayoutInflater().inflate(R.layout.popup_window, null);

			mPopupWindow = new PopupWindow(popupView,
					LayoutParams.WRAP_CONTENT, LayoutParams.WRAP_CONTENT);

			/**
			 * PopupWindow Show 메서드
			 * showAsDropDown(anchor, xoff, yoff)
			 * @View anchor : anchor View를 기준으로 PopupWindow 표시 (상,하)
			 * PopupWindow가 최대한 화면에 표시되도록 시스템이 설정해 준다.
			 * xoff, yoff : anchor View를 기준으로 PopupWindow를 표시된것을
			 * 기준으로 xoff는 x좌표, yoff는 y좌표 만큼 이동 한다.
			 * @int xoff : -숫자(화면 왼쪽으로 이동), +숫자(화면 오른쪽으로 이동)
			 * @int yoff : -숫자(화면 위쪽으로 이동), +숫자(화면 아래쪽으로 이동)
			 * achor View 를 덮는 것도 가능
			 * 화면바깥 좌우, 위아래로 이동 가능 (짤린 상태로 표시됨)
			 */
			mPopupWindow.setAnimationStyle(-1); // 애니메이션 설정(-1:설정안함, 0:설정)
			mPopupWindow.showAsDropDown(btn_Popup, 50, 50);
			
			/**
			 * update() 메서드를 통해 PopupWindow의 좌우 사이즈, x좌표, y좌표
			 * anchor View까지 재설정 해줄수 있습니다.
			 */
//			mPopupWindow.update(anchor, xoff, yoff, width, height)(width, height);

			break;

		case R.id.btn_close:

			if (mPopupWindow != null && mPopupWindow.isShowing()) {
				mPopupWindow.dismiss();
			}

			break;
			
		case R.id.btn_bottom:

			Toast.makeText(MainActivity.this, "Bottom UI 입니다.", Toast.LENGTH_SHORT).show();

			break;

		default:
			break;

		}

	}

}
